/*******************************************************************************
 *  Copyright (c) 2010 Association for Decentralized Information Management in
 *  Industry THTH ry.
 *  All rights reserved. This program and the accompanying materials
 *  are made available under the terms of the Eclipse Public License v1.0
 *  which accompanies this distribution, and is available at
 *  http://www.eclipse.org/legal/epl-v10.html
 *
 *  Contributors:
 *      VTT Technical Research Centre of Finland - initial API and implementation
 *******************************************************************************/
package org.simantics.databoard.tests;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;

@RunWith(Suite.class)
@Suite.SuiteClasses({
  TestAccessor.class,
  TestBinding.class,
  TestFileList2.class,
  TestWriteable.class,
  TestBinaryFile.class,
  TestBinaryMemory.class,
  TestBlob.class,
  testFileUtil.class,
  TestVariant.class,
  TestFileList1.class,
  TestRange.class,
  ParserSuccessTests.class,
  TestMultiDimension.class,
  TestReflectionBinding.class,
  TestMethodInterfaceUtil.class,
  ValueParserSuccessTests.class,
  TestValidator.class,
  TestAdapter.class,
  TestRandomValues.class,
  TestClone.class
})
public class AllTests {}
