#pragma once

#include "DataBoardAPI.h"

#include <string>

namespace Databoard {
	namespace Type {

		class DATABOARD_API DataType {
		public:
			DataType();
			virtual ~DataType() = 0;


			virtual std::string writeOut(int indent = 0);

			virtual void setNotBuiltIn();
			virtual bool getNotBuiltIn();

		protected:

			bool notBuiltIn;
		};

	}
}
