#pragma once

#include "NumberType.h"

#include <string>

namespace Databoard {
	class Range;

	namespace Type {

		class DATABOARD_API FloatType : public NumberType {
		public:
			FloatType();
			FloatType(std::string unit);
			FloatType(std::string unit, Range* range);

			virtual ~FloatType();

			float minValue();
			float maxValue();

			virtual std::string writeOut(int indent = 0);

		protected:
		};
	}
}
