#pragma once

#include "Value.h"

namespace Databoard {
	namespace Value {

		class DATABOARD_API IntegerValue : public Value {
		public:
			IntegerValue(Databoard::Type::DataType* dataBoard);
			virtual ~IntegerValue();

			void setValue(int value);
			int getValue();

			virtual std::string writeOut(int indent = 0);
			virtual bool equals(const Value* other);

			virtual std::string isValid();

		protected:

			int value;
		};
	}
}
