#pragma once

#include "DataType.h"

namespace Databoard {
	namespace Type {

		class DATABOARD_API OptionalType : public DataType {
		public:
			OptionalType();
			OptionalType(DataType* componentType);

			virtual ~OptionalType();

			DataType* getComponentType();

			void setComponentType(DataType* componentType);

			virtual std::string writeOut(int indent = 0);


		protected:

			DataType* componentType;

		};
	}
}
