#pragma once

#include "Value.h"

#include <string>

namespace Databoard {
	namespace Value {

		class DATABOARD_API StringValue : public Value {
		public:
			StringValue(Databoard::Type::DataType* dataBoard);
			virtual ~StringValue();

			void setValue(std::string value);
			std::string getValue();

			virtual std::string writeOut(int indent = 0);
			virtual bool equals(const Value* other);
			virtual std::string isValid();

		protected:

			std::string value;
		};
	}
}
